commit 122dfb8dbff5238f5272781f940c5a6f24086137
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 23:00:15 2015 -0700

    xdpyinfo 1.3.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 86c2e6f13b5c77b193762ff7e0628d7957e6bf0b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 17 23:06:01 2015 -0800

    Delete unused NULLSTR macro
    
    Spotted by clang:
    
    xdpyinfo.c:145:9: warning: macro is not used [-Wunused-macros]
            ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5ea2adab785079f7b87a459654696d2fff248a52
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 17 23:00:56 2015 -0800

    Mark required arguments to Xlib error handler as unused
    
    Quiets clang warnings:
    
    xdpyinfo.c:151:24: warning: unused parameter 'dpy' [-Wunused-parameter]
    silent_errors(Display *dpy, XErrorEvent *ev)
                           ^
    xdpyinfo.c:151:42: warning: unused parameter 'ev' [-Wunused-parameter]
    silent_errors(Display *dpy, XErrorEvent *ev)
                                             ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bec84d9dd1b6d5f3fcee4cccd704759c5c18544a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:27:58 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d236a8cdd4b8c3b8dd49c04d2d9d6dcbd4e6bb53
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:27:58 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 38ee48cebce6343c65bde078cea883373fb78b75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:27:54 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73cd9d89408ef08b7bbe4f3fb0ae94517441b045
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 22:31:41 2013 -0800

    Sprinkle consts in StrCmp to quiet cast warnings
    
    Makes gcc stop saying:
    xdpyinfo.c: In function ‘StrCmp’:
    xdpyinfo.c:162:20: warning: cast discards ‘__attribute__((const))’ qualifier from pointer target type [-Wcast-qual]
    xdpyinfo.c:162:39: warning: cast discards ‘__attribute__((const))’ qualifier from pointer target type [-Wcast-qual]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca6adf351b4fc317c4dfc4c8e723b84fd676d4e2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 22:30:18 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b980cacaa342cbbaa3012f06ffc2c9a9c21d33ee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon May 20 18:48:42 2013 -0700

    xdpyinfo 1.3.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa36071570461e73b57583e490d794334b038f48
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 19:50:21 2013 -0800

    Mark num_known_extensions as a const, since the size is fixed at compile time
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 57a45f3b7bb745a082e459d965bee2b11e3bd7b6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 19:29:05 2013 -0800

    Convert sprintf calls to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f08b3613b2fd6995da264ea0a39c6d48dd28bf97
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 19:10:57 2013 -0800

    Rename i & count in inner loop to avoid shadowing same named vars in outer loop
    
    xdpyinfo.c: In function `print_dmx_info':
    xdpyinfo.c:1282: warning: declaration of 'count' shadows a previous local
    xdpyinfo.c:1231: warning: shadowed declaration is here
    xdpyinfo.c:1282: warning: declaration of 'i' shadows a previous local
    xdpyinfo.c:1232: warning: shadowed declaration is here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 97db6f80f06b753c84de0276db093205ee34b0b0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 21 23:15:04 2013 -0800

    Add xrandr to SEE ALSO section of man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b9a3d5459f61abf6285df81e4a75cb472e2a40c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 21 23:13:03 2013 -0800

    Add -version option to print version number
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 27c57ec56abbd175c7a3ea7c50d85e91e1940c87
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 21 23:08:43 2013 -0800

    Combine usage messages into a single string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f407231c855bc0349d0f8543a9dfe9dff4b2508b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 21 23:03:48 2013 -0800

    Declare 'len' as size_t to avoid unneccessary back-and-forth conversions
    
    Fixes clang warnings:
    
    xdpyinfo.c:1463:12: warning: implicit conversion loses integer precision: 'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
            int len = strlen(arg);
                ~~~   ^~~~~~~~~~~
    xdpyinfo.c:1465:32: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            if (!strncmp("-display", arg, len)) {
                 ~~~~~~~                  ^~~
    xdpyinfo.c:1468:47: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            } else if (!strncmp("-queryExtensions", arg, len)) {
                        ~~~~~~~                          ^~~
    xdpyinfo.c:1470:35: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            } else if (!strncmp("-ext", arg, len)) {
                        ~~~~~~~              ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ee596f7f67b203d04974fce16deadfcd122d0441
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 21 23:02:57 2013 -0800

    Mark usage() as _X_NORETURN
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5509502647a997959ec056fec23d471b73eddb5f
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jan 4 18:21:51 2012 +0000

    Include Xwindows.h on WIN32 to avoid type clashes
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit 02376118fb58c05067054be3f2e469f461f81757
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 21 21:34:32 2011 -0700

    xdpyinfo 1.3.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b97213aa640aa6a05b9cb298349e45403bf7958
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:52:30 2011 -0700

    Silence gcc complaint about being unable to check printf format string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1ac4dd6c7abe6fe185c0dafb3bb592720128a737
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:50:02 2011 -0700

    Remove unused function hasExtension
    
    Leftover from the Xprint code removed in commit 889264a52a6cf988
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 24c9341f0e7b0fb7aee326a72982e59e535055e1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:48:58 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 794e32074cbf13434375afe62b86b57f266a749f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:41:57 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c80c86499b3e47bcba68960bcba1bd33d9394fc5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9ea60417e477a333ff0fb6074032e8e7006c7f5b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7cccede7fbe736b40c7de56d1e3304cad61489a3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit e95f61e453354b0f31d18cc873a4be8b1911b098
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7807192aa448d57ad8d903c445a7ba91c917b8d6
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 072fc46b2af370e78fa53426626ca3c33b74bdf2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 3 11:47:07 2010 -0700

    Use xcb for -queryExt instead of a round-trip per extension
    
    On a system with 30 extensions listed by xdpyinfo, truss -c
    reports this saves quite a few system calls by batching the
    QueryExtension requests instead of a round-trip for each one:
    
                          Xlib      xcb
    writev                  40       11
    poll                    80       22
    recv                   117       29
    total (*)              464      296
    
    (*) total includes all system calls, including many not shown since
    their count did not change significantly.   There was one additional
    set of open/mmap/close etc. for loading the added libX11-xcb library.
    
    Over a tcp connection, this reduced both the number of packets,
    and due to tcp packet header overhead, the overall amount of data:
    
                          Xlib      xcb
    TCP packets             93       35
    TCP bytes            11554     7726
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 30bc4b0ada659809c64f6a8292cbde3166267e8d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 3 10:51:09 2010 -0700

    xdpyinfo 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f12197ace824fb47fe72725e46ff5f9ba44c39e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 3 10:45:43 2010 -0700

    Remove DPY_XPRINT_* from Makefile.am
    
    The definitions were removed from configure.ac by commit e4541a92f7faead53
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6932cb0e96de5e17fb637794575a9b89b65db276
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:06:19 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9263245f854ef292ce2e60a324ba1d056c3222d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:04:53 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b54bc557a3a3ba87d32e330517b17fb3bbd6cd70
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d3487b3fd52c1361e689d28fd8fb6f6d7140825b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 19:23:35 2010 -0400

    xprint: remove isPrintScreen code
    
    The if (isPrintScreen) always evaluate to false
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@freedesktop.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 889264a52a6cf9882b010de55d555c877dd216f3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 19:20:56 2010 -0400

    xprint: remove conditional code regarding xprint feature
    
    xprint has been removed from X Window System
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e4541a92f7faead53fe855e5be5d8318b636827b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 19:20:10 2010 -0400

    config: remove xprint feature which is obsolete
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f0b2eed8b9447038d6cf9d0d33be902398da2ca2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 21:38:31 2010 -0500

    COPYING: replace stub with actual copyright notice
    
    Refer to xdpyinfo.c
    Copyright 1988, 1998  The Open Group
    Copyright 2005 Hitachi, Ltd.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4e3962ab551368c1c959ecf78b3c6cfd03cd0763
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit c4367264ce11abfbe64e92ab6b0807b6213ff56f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit c2fbd90b15cf45e2b0c5649bc575d04d09ce6f30
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 6510da8afa850a92666a5377aa2642646c6ab4f1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 92f55dcd3aa216ecd861b91c22c617972aaeb4de
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c991ae4f86a1abb99f3f0c38b10c922a0d5b63e8
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:20 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit a02c4aad3cbe284630de60f6de9c1bfc3dd6a853
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 16:07:10 2009 -0700

    xdpyinfo 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a2f989d387ec8f6002240be53fa24e264392b693
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Oct 13 11:34:11 2009 -0700

    Added --without-{xf86misc,xprint} configure time options
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 5d44998f53644954200f3e6adbfbef068b5755e6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 18:01:22 2009 -0700

    Use $(AM_V_GEN) to silence man page creation too
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 9ca9d19206114788da85c81a5aba2525baef80cb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 18:00:15 2009 -0700

    Use Xxf86dga.h & xf86dgaproto.h if present, to avoid warnings from old headers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 26b3ee9b9fd5a58ef7812ecabebd78bd10d57878
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 2 17:00:45 2009 -0700

    Remove empty INSTALL so automake installs a real one
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 22e3bfdb5d700c9f767366db39ec1dec72785929
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:22 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f9eaeadea17cb96ab85ee6cc0b5aa3867a832bcc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 16:27:55 2009 -0700

    Use xf86vmproto.h instead of xf86vmstr.h if it is installed
    
    Clears warnings when built with xf86vidmodeproto 2.2.99.1 & later
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bd89c302aa44c5a7a6e5f5d6e6f131e04b8e61c1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 16:22:30 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5e33ed3a2852a84fbbeb4fb4172928053cf677bf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 1 21:54:11 2009 -0700

    Move CWARNFLAGS addition to CFLAGS from configure.ac to Makefile.am
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f1974e686a9622fa526268697d29ceab83edf0d0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 1 20:50:51 2009 -0700

    Improved XF86-VidModeExtension printing
    
    - Combine common modeline printing code into single function
    - Don't return 0 unless extension isn't supported, since that
      makes xdpyinfo report the extension isn't supported.
    - Don't exit immediately if some information is not available,
      since other info may be present.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ffa604b5e6b60c5a98cc18819e70786b26b0b07c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 1 07:22:17 2009 -0700

    Bug 3438: xdpyinfo reporting wrong information on xf86vidmode extension
    
    https://bugs.freedesktop.org/show_bug.cgi?id=3438
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bb7e3c9ac00d5b3933b69470e03fadfe1800f7ae
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Feb 4 13:43:34 2009 -0800

    Print Composite extension version for "-ext Composite"
    
    The only other information I could see to query in the Composite 0.4
    protocol spec is the Composite Overlay Window XID, but the request to
    get that ID has the side effect of mapping the overlay window, and
    xdpyinfo shouldn't have side effects like that.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3a041bbccdee28b628ce5243e77d7d3125a186d4
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 13 20:10:23 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, and corrects
    make distcheck.

commit 0fbda267334eb531b7153c3b9035fe7470302e13
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Fri Jun 13 12:23:03 2008 -0600

    Don't print '(null)' when XF86VidModeGetMonitor() returns NULL fields.

commit 53743925d1067b830dd80f9193444f5799f55e28
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:19:52 2008 -0400

    xdpyinfo 1.0.3

commit f70bd6335967fb3992399411d33e015b0d4d8f1d
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:18:57 2008 -0400

    Ignore errors from xf86misc rather than crashing out.

commit 2c094e502060be530a306fe7f8feed6eddf9266f
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Apr 30 14:37:03 2008 +0200

    Handle XExtension{Keyboard,Pointer}, added in inputproto 1.4

commit bbf726ad95e75c844046968a00e1340cbbe6bd8a
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:05 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 66611f2fdca348c619afb4509e860919088c6fbf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 18:24:29 2007 -0700

    X.Org bug #10616: Add all the X info commands to See Also in man page
    
    X.Org Bugzilla #10616: <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #350313 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350313>

commit 704cb5aad217a1818c05e3cd5334c484020150e6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 14:08:17 2007 -0700

    Version bump: 1.0.2

commit e7c95f92cb17eb971462074cfcc9b952bb466362
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 13:34:30 2007 -0700

    Clear a couple more memory leaks found by Sun Studio dbx check -leaks

commit e411de3d660a5382e7cb8d31fa2fa1bc35823931
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 13:25:06 2007 -0700

    Coverity #748: IsPrintScreen: Returned without freeing storage "pscreens"

commit ce6709132a322e82e915b761c0ced1bc418095ea
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 13:21:56 2007 -0700

    Coverity #749: print_XF86VidMode_info: Returned without freeing storage "modelines"

commit f4001e881a9f5d57dd99326d4f501737a0ded6e6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 13:16:18 2007 -0700

    Coverity #750: print_xinput_info() returned without freeing storage "ext"

commit c896552ee94cf50f8acfccc49096e5ec564e5356
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 13:10:33 2007 -0700

    Coverity #752: XListDepths return leaked in print_xrender_info()

commit ea8455a0932c21ef29e97d469b492dadc85dabdc
Author: Ingo Bormuth <ibormuth@efil.de>
Date:   Thu May 25 03:13:00 2006 -0800

    Bug 7027: Add configure options --without-dmx --without-dga --without-xinerama
    
    X.Org Bug 7027: <https://bugs.freedesktop.org/show_bug.cgi?id=7027>
    Patch #5735: <https://bugs.freedesktop.org/attachment.cgi?id=5735>
    
    From gentoo bug 132502: <http://bugs.gentoo.org/show_bug.cgi?id=132502>

commit 2fe59be76e3a341b601838c3729d0045d49946d3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 20 10:39:36 2007 -0700

    Fix line wrapping of extensions list in usage message

commit 91f465babd46f1b39c6f5665e38e4aab58fc921b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 19 19:23:33 2007 -0700

    Clear sparse warning: Using plain integer as NULL pointer

commit 6a26c41570f1b91f14508cf3d44f4ed3c51127bd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 19 19:15:18 2007 -0700

    Fix typos in comments

commit 752b793aa03b67eeff6b01c7f0bdb729f00bd49b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 19 19:09:27 2007 -0700

    Add support for checking sources with sparse/lint/etc.

commit d66b154dce42319f73f4b0773e44c59c9cf9d7a6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 19 18:53:38 2007 -0700

    renamed: .cvsignore -> .gitignore

commit 767fdebc77faf1b7322e7068a420a7fc2bf4a376
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 19 18:53:02 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 421eee53c9153cfa6bb5ea27e8b8df5f186451a3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:49 2005 +0000

    Update package version for X11R7 release.

commit 263521ee094a1b63fd5ffdd2f81bd4c511fdb479
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:43 2005 +0000

    Stub COPYING files

commit 74da6a6fdc7b90a779fab59811a162fe0571992c
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:06 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 58e6b96a84164845b49112bf6d76def97e909ef1
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:21 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d4cf291eff395b272590ba1415cdc5744dc39694
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:19 2005 +0000

    Update package version number for X11R7 RC3 release.

commit bdf02be37894b3e1b87437a8a0186fbd57f80e38
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:41 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 3a79f7e287e091102d56df996a19631709d99737
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:59 2005 +0000

    Another pass at .cvsignores for apps.

commit 1b28a57af4956be9a8e7d64dd5f0096ae43b3f6d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:51 2005 +0000

    Add/improve .cvsignore files for apps.

commit d91a0552a4b3c4f40e4b2ec10936c3f212a5d3bc
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:36 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit eddecbe72843f358cf902a3a2081634745e52298
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:53 2005 +0000

    Update package version number for RC1 release.

commit 4689eb41b6329fec24a7da63a203576b72b937da
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:21 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 72bc207e91d9d770d17f8330cbba71a83b21d13d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:44 2005 +0000

    Use sed to fill in variables in man page

commit 0df7213be00f90d227be44efbb60c8f2fdd712ff
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Aug 19 00:13:45 2005 +0000

    More updates for Panoramix -> Xinerama rename

commit 87e9acd02968882740bfbf51b68a1ef19584f371
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 04:30:26 2005 +0000

    More unique tokens for PKG_CHECK_MODULES

commit 4fb83e624716886c60474f3bb443ffd730786889
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:32 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ed783e6948cf7cd937f0570e9578162e35495d45
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:52 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit bcc095561f040a8a0cd19ed94bc800d128e9c0b1
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Jul 18 08:24:50 2005 +0000

    Fail gracefully when extensions not present.

commit 3b4cbb4fe34ff4de91ba6524d7750a2b55f5d67a
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 23:36:22 2005 +0000

    Add .cvsignore files

commit 1e169a60adf7d9759d3b4a4dfb381043814e121a
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 8 04:54:31 2005 +0000

    Autodetect extension support. Install manual as xdpyinfo.1 Note that
        autodetection requires changes to xdpyinfo.c as well, which currently
        lives in the monolithic tree. These changes don't have any effect on
        monolithic builds.

commit d89449b6eacd919005fdad3b378e64fe46591728
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 8 04:54:09 2005 +0000

    Add support for modular extension autodetection (ignored in monolithic
        build)

commit d99fbcde4c892e8d84e02b40ed3f5862a731e9c2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 19:56:47 2005 +0000

    Add buildsystem for xdpyinfo

commit 1b09e416dcaed59d319b295b933506a6f54fe918
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Apr 26 05:33:10 2005 +0000

    //bugs.freedesktop.org/show_bug.cgi?id=2705) attachment #2555
        (https://bugs.freedesktop.org/attachment.cgi?id=2555) bug 2705 part II:
        Fix build to work with |#define BuildXprint NO| Patch by Kevin E.
        Martin <kem@freedesktop.org>.

commit 5adf5a253e5434c2b0c2276ce3733cbb05282980
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Fri Mar 11 21:18:12 2005 +0000

    xc/programs/twm/Imakefile
    xc/programs/twm/twm.c
    //bugs.freedesktop.org/show_bug.cgi?id=2705) attachment #2087
        (https://bugs.freedesktop.org/attachment.cgi?id=2087) Make twm ignore
        print screens to avoid that users accidentally warp on a non-video
        screen (which are not visible on any monitor) when the Xserver has both
        video and print screens. (This includes also a small cleanup of
        xdpyinfo where parts of the print screen test code comes from) Patch by
        Julien Lafon <julien.lafon@gmail.com> (MIT/X.org license).

commit 4d275dcc29658972a3d7c2e72b812140819a10c3
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 05:50:38 2004 +0000

    Clean up defines for Xprint support and fix BuildServersOnly build for
        libXaw.

commit a667763d5b733f5ae2d8a3ca7e1e99d3deed2830
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Aug 16 16:36:15 2004 +0000

    As discussed and agreed on on the release-wranglers meeting of August 16,
        I'm committing the patch from bug #1060 to back out unconditional
        Xprint functionality.
    Back out Xprint changes.
    Revert xman to CVS of June 5, revert xlogo to CVS of May 8, revert xedit to
        CVS of April 25, to back out unconditional Xprint support.
    Fix up Xprint config logic to be like the rest of the extensions:
        BuildXprint is a one-stop option for disabling everything Xprint
        related. XprtServer controls building Xprt, BuildXprintLib controls
        building Xprint libs and BuildXprintClients controls building clients
        related to Xprint. BuiltXprint defaults to YES and the other options
        respects relevant settings, i.e. BuildServer and BuildServersOnly.
    Build Xaw regardless of BuildXprintLib setting.
    Only build xphelloworld, xplsprinters and xprehashprinterlist when
        BuildXprintClients it YES. Disable building xmore, it has always
        supported XawPrintShell.
    Make Xprint support depend on BuildXprintLib.

commit f5e06cb6bc7ddb2b81a819f4ef1ba41f7c66ba20
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jun 30 20:06:56 2004 +0000

    Add Distributed Multihead X (DMX) support

commit ec6b1eb0128635b465ba46761b5d9ba3377db0e8
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue May 25 02:07:18 2004 +0000

    Fix for http://freedesktop.org/bugzilla/show_bug.cgi?id=672 - RFE: xdpyinfo
        should print information about print screens

commit 4933a7a9f75fc80afba004f0c55959d35d7ffe41
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun May 16 21:52:44 2004 +0000

    Fix for http://pdx.freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=623 -
        RFE: "xdpyinfo" should have support for XpExtension.

commit 0f274e479e7825d535ab04aeadd475d47e1769a5
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:43 2004 +0000

    Merging XORG-CURRENT into trunk

commit cccbebfe7ee498cd8beae22831b50d570d623a94
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:14 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 26e6d0a4c391ee1e7ec6c3ca89f0955ca9423f09
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:00 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 4d33162b89fb90f764ce9bc9eed73b1c60ba631c
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:17 2004 +0000

    readding XFree86's cvs IDs

commit d3552b39fa600adbf6229fad2e3f651d18889178
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:04 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 8dad0c498789e5feb268b70daae210751b98eb24
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:12 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit c9f38bd47df33b0681bdf2cfce02c1b78cb1a038
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit 212617e163d792b20d025502f4138b6bdb7829a0
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
